> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlayer.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get info data

> 
    Generic read-oriented endpoint for info handlers.

    Supported request types:
    - getTokensV2
    - quoteToken
    - me
    - getPoolData
    - getUserBalance
    - searchToken
    - checkTokenOwnership
    - getUserFees
    - getUserFeeHistory
    - getLeaderboard
    - getUserPortfolio
    - getTokenTrades
    - getTokenTransfers
    - getTokenActivity
    - getTokenCandles
    - getTokenStats
    - getTokenAbout
  



## OpenAPI

````yaml post /info
openapi: 3.0.3
info:
  title: Token Layer API
  version: 1.0.0
  description: |2-

          Token Layer is an omnichain token trading platform where users can create and trade tokens across multiple chains.

          This API provides comprehensive access to token operations, trading, earnings,
          blockchain transactions, and portfolio management.

          ## Base URL
          All endpoints are accessed via: `https://api.tokenlayer.network/{endpoint}`

          ## Authentication
          Most endpoints require authentication using an JWT token or API key passed as a Bearer token in the Authorization header.

          ## Rate Limiting
          API calls are rate limited per user. Please implement appropriate backoff strategies.
        
  contact:
    name: Token Layer API Support
    url: https://app.tokenlayer.network
servers:
  - url: https://api.tokenlayer.network/functions/v1
    description: Production server
  - url: https://api.tokenlayer.network/functions/v1
    description: Staging server
security: []
tags:
  - name: Tokens
    description: Token creation, browsing, search, trading, and price operations
  - name: Transactions
    description: Blockchain transactions (send, tip, ownership checks)
paths:
  /info:
    post:
      tags:
        - Tokens
      summary: Get info data
      description: |2-

            Generic read-oriented endpoint for info handlers.

            Supported request types:
            - getTokensV2
            - quoteToken
            - me
            - getPoolData
            - getUserBalance
            - searchToken
            - checkTokenOwnership
            - getUserFees
            - getUserFeeHistory
            - getLeaderboard
            - getUserPortfolio
            - getTokenTrades
            - getTokenTransfers
            - getTokenActivity
            - getTokenCandles
            - getTokenStats
            - getTokenAbout
          
      operationId: getInfo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InfoRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfoResponse'
        '400':
          description: Bad request - Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfoError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfoError'
      security:
        - BearerAuth: []
        - {}
components:
  schemas:
    InfoRequest:
      oneOf:
        - $ref: '#/components/schemas/GetTokensV2InfoRequest'
        - $ref: '#/components/schemas/QuoteTokenInfoRequest'
        - $ref: '#/components/schemas/MeInfoRequest'
        - $ref: '#/components/schemas/GetPoolDataInfoRequest'
        - $ref: '#/components/schemas/GetUserBalanceInfoRequest'
        - $ref: '#/components/schemas/SearchTokenInfoRequest'
        - $ref: '#/components/schemas/CheckTokenOwnershipInfoRequest'
        - $ref: '#/components/schemas/GetUserFeesInfoRequest'
        - $ref: '#/components/schemas/GetUserFeeHistoryInfoRequest'
        - $ref: '#/components/schemas/GetLeaderboardInfoRequest'
        - $ref: '#/components/schemas/GetUserPortfolioInfoRequest'
        - $ref: '#/components/schemas/GetTokenTradesInfoRequest'
        - $ref: '#/components/schemas/GetTokenTransfersInfoRequest'
        - $ref: '#/components/schemas/GetTokenActivityInfoRequest'
        - $ref: '#/components/schemas/GetTokenCandlesInfoRequest'
        - $ref: '#/components/schemas/GetTokenStatsInfoRequest'
        - $ref: '#/components/schemas/GetTokenAboutInfoRequest'
      discriminator:
        propertyName: type
        mapping:
          getTokensV2:
            $ref: '#/components/schemas/GetTokensV2InfoRequest'
          quoteToken:
            $ref: '#/components/schemas/QuoteTokenInfoRequest'
          me:
            $ref: '#/components/schemas/MeInfoRequest'
          getPoolData:
            $ref: '#/components/schemas/GetPoolDataInfoRequest'
          getUserBalance:
            $ref: '#/components/schemas/GetUserBalanceInfoRequest'
          searchToken:
            $ref: '#/components/schemas/SearchTokenInfoRequest'
          checkTokenOwnership:
            $ref: '#/components/schemas/CheckTokenOwnershipInfoRequest'
          getUserFees:
            $ref: '#/components/schemas/GetUserFeesInfoRequest'
          getUserFeeHistory:
            $ref: '#/components/schemas/GetUserFeeHistoryInfoRequest'
          getLeaderboard:
            $ref: '#/components/schemas/GetLeaderboardInfoRequest'
          getUserPortfolio:
            $ref: '#/components/schemas/GetUserPortfolioInfoRequest'
          getTokenTrades:
            $ref: '#/components/schemas/GetTokenTradesInfoRequest'
          getTokenTransfers:
            $ref: '#/components/schemas/GetTokenTransfersInfoRequest'
          getTokenActivity:
            $ref: '#/components/schemas/GetTokenActivityInfoRequest'
          getTokenCandles:
            $ref: '#/components/schemas/GetTokenCandlesInfoRequest'
          getTokenStats:
            $ref: '#/components/schemas/GetTokenStatsInfoRequest'
          getTokenAbout:
            $ref: '#/components/schemas/GetTokenAboutInfoRequest'
    InfoResponse:
      oneOf:
        - $ref: '#/components/schemas/GetTokensV2InfoResponse'
        - $ref: '#/components/schemas/QuoteTokenInfoResponse'
        - type: object
          properties:
            type:
              type: string
              enum:
                - me
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - getPoolData
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - getUserBalance
          required:
            - type
        - $ref: '#/components/schemas/SearchTokenInfoResponse'
        - type: object
          properties:
            type:
              type: string
              enum:
                - checkTokenOwnership
          required:
            - type
        - $ref: '#/components/schemas/GetUserFeesInfoResponse'
        - $ref: '#/components/schemas/GetUserFeeHistoryInfoResponse'
        - $ref: '#/components/schemas/GetLeaderboardInfoResponse'
        - $ref: '#/components/schemas/GetUserPortfolioInfoResponse'
        - $ref: '#/components/schemas/GetTokenTradesInfoResponse'
        - $ref: '#/components/schemas/GetTokenTransfersInfoResponse'
        - $ref: '#/components/schemas/GetTokenActivityInfoResponse'
        - $ref: '#/components/schemas/GetTokenCandlesInfoResponse'
        - $ref: '#/components/schemas/GetTokenStatsInfoResponse'
        - $ref: '#/components/schemas/GetTokenAboutInfoResponse'
    InfoError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
        code:
          type: string
        details:
          nullable: true
      required:
        - error
    GetTokensV2InfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokensV2
        hashtags:
          type: array
          items:
            type: string
          description: >-
            Filter tokens by hashtags (must match ALL hashtags provided - AND
            logic)
          example:
            - defi
            - ethereum
        keyword:
          type: string
          description: >-
            Search keyword to filter by token name, symbol, or description
            (case-insensitive)
          example: bitcoin
        chains:
          type: array
          items:
            $ref: '#/components/schemas/ChainSlug'
          description: >-
            Filter tokens by chain slugs (returns tokens available on any of the
            specified chains)
          example:
            - base
            - solana
            - ethereum
        builder_code:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
          description: >-
            Filter tokens by builder address (case-insensitive). Returns only
            tokens deployed by this builder.
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
        stage:
          allOf:
            - $ref: '#/components/schemas/TokenLaunchStage'
            - description: >-
                Filter tokens by launch stage. Defaults to stage-specific
                ordering when provided without an explicit order_by.
        order_by:
          type: string
          enum:
            - volume_1m
            - volume_5m
            - volume_1h
            - volume_24h
            - market_cap
            - price_change_24h
            - trx
            - holders
            - created_at
          default: created_at
          description: Field to order results by
          example: volume_24h
        order_direction:
          type: string
          enum:
            - ASC
            - DESC
          default: DESC
          description: Sort direction
          example: DESC
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
          description: Maximum number of tokens to return
          example: 20
        offset:
          type: integer
          minimum: 0
          default: 0
          description: Number of tokens to skip for pagination
          example: 0
        verified_only:
          type: boolean
          default: false
          description: Only return tokens with token_layer_id (verified)
          example: false
      required:
        - type
      description: Fetch tokens list with trading metrics
      title: Get Tokens V2
    QuoteTokenInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - quoteToken
        tokenId:
          type: string
          format: uuid
          description: Token UUID (optional for new pool quotes - use poolTypeId instead)
          example: 550e8400-e29b-41d4-a716-446655440000
        chainSlug:
          $ref: '#/components/schemas/ChainSlug'
        amount:
          type: number
          minimum: 0
          exclusiveMinimum: true
          default: 1
          description: Amount to quote (interpretation depends on direction and inputToken)
          example: 100
        direction:
          type: string
          enum:
            - buy
            - sell
          default: sell
          description: Trade direction
          example: buy
        inputToken:
          type: string
          enum:
            - token
            - usdc
          default: token
          description: Whether amount represents tokens or USDC
          example: usdc
        poolType:
          type: string
          enum:
            - meme
            - startup-preseed
            - test
          description: >-
            Pool type for new pool quotes. Use this instead of tokenId for
            tokens that don't exist yet. Defaults to "meme".
          example: meme
      required:
        - type
        - chainSlug
      description: Get token price quote
      title: Quote Token
    MeInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - me
        include_testnets:
          type: boolean
      required:
        - type
    GetPoolDataInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getPoolData
        tokenId:
          type: string
          format: uuid
      required:
        - type
        - tokenId
    GetUserBalanceInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserBalance
        token_id:
          type: string
          format: uuid
        chain_id:
          type: integer
      required:
        - type
    SearchTokenInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - searchToken
        input:
          type: string
          minLength: 1
          description: >-
            Token UUID, contract address (0x...), token layer ID (bytes32),
            symbol, or slug to search for
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - type
        - input
    CheckTokenOwnershipInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - checkTokenOwnership
        token_id:
          type: string
          format: uuid
        user_address:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        user_id:
          type: string
          format: uuid
      required:
        - type
        - token_id
        - user_address
    GetUserFeesInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserFees
        user_id:
          type: string
          format: uuid
        chains:
          type: array
          items:
            type: string
      required:
        - type
    GetUserFeeHistoryInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserFeeHistory
        user_id:
          type: string
          format: uuid
        fee_type:
          type: string
          enum:
            - builder
            - token_referral
            - ip_holder
            - protocol_referral
            - protocol_referral_cashback
        chains:
          type: array
          items:
            type: string
        limit:
          type: number
          minimum: 1
          maximum: 100
          default: 50
        offset:
          type: number
          minimum: 0
          default: 0
      required:
        - type
    GetLeaderboardInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getLeaderboard
        limit:
          type: integer
          minimum: 1
          maximum: 1000
          default: 100
        offset:
          type: integer
          minimum: 0
          default: 0
        network_mode:
          type: string
          enum:
            - testnet
            - mainnet
            - both
          default: both
      required:
        - type
    GetUserPortfolioInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserPortfolio
        chains:
          type: array
          items:
            type: string
      required:
        - type
    GetTokenTradesInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenTrades
        token_id:
          type: string
          minLength: 1
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
        offset:
          type: integer
          minimum: 0
          default: 0
      required:
        - type
        - token_id
    GetTokenTransfersInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenTransfers
        token_id:
          type: string
          minLength: 1
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
        offset:
          type: integer
          minimum: 0
          default: 0
      required:
        - type
        - token_id
    GetTokenActivityInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenActivity
        token_id:
          type: string
          minLength: 1
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
        offset:
          type: integer
          minimum: 0
          default: 0
        include_activity_types:
          type: array
          items:
            type: string
            enum:
              - trade
              - transfer
              - lp
              - lifecycle
        ignore_activity_types:
          type: array
          items:
            type: string
            enum:
              - trade
              - transfer
              - lp
              - lifecycle
        include_activity_subtypes:
          type: array
          items:
            type: string
            enum:
              - buy
              - sell
              - local
              - cross_chain_sent
              - cross_chain_received
              - deposit
              - withdrawal
              - graduation
        ignore_activity_subtypes:
          type: array
          items:
            type: string
            enum:
              - buy
              - sell
              - local
              - cross_chain_sent
              - cross_chain_received
              - deposit
              - withdrawal
              - graduation
      required:
        - type
        - token_id
    GetTokenCandlesInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenCandles
        token_id:
          type: string
          minLength: 1
        candle_interval:
          $ref: '#/components/schemas/CandleInterval'
        venue:
          type: string
          minLength: 1
        from_timestamp:
          type: string
          format: date-time
        to_timestamp:
          type: string
          format: date-time
        limit:
          type: integer
          minimum: 1
          maximum: 5000
          default: 500
        offset:
          type: integer
          minimum: 0
          default: 0
        ascending:
          type: boolean
          default: true
      required:
        - type
        - token_id
    GetTokenStatsInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenStats
        token_id:
          type: string
          minLength: 1
      required:
        - type
        - token_id
    GetTokenAboutInfoRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenAbout
        token_id:
          type: string
          minLength: 1
      required:
        - type
        - token_id
    GetTokensV2InfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokensV2
        success:
          type: boolean
          enum:
            - true
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/TokenV2'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - type
        - success
        - tokens
        - pagination
      title: Get Tokens V2 Response
    QuoteTokenInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - quoteToken
        success:
          type: boolean
          enum:
            - true
        data:
          type: object
          properties:
            tokenId:
              type: string
              format: uuid
            tokenSymbol:
              type: string
            tokenName:
              type: string
            chainSlug:
              $ref: '#/components/schemas/ChainSlug'
            direction:
              type: string
              enum:
                - buy
                - sell
            inputToken:
              type: string
              enum:
                - token
                - usdc
            inputAmount:
              type: number
            outputAmount:
              type: number
            inputTokenSymbol:
              type: string
            outputTokenSymbol:
              type: string
            protocol:
              type: string
              enum:
                - RobinSwap
                - UniswapV3
            isGraduated:
              type: boolean
            initFee:
              type: number
              description: >-
                Initial deployment fee for new tokens (only present for
                non-graduated tokens)
              example: 5
            timestamp:
              type: string
              format: date-time
          required:
            - tokenId
            - tokenSymbol
            - tokenName
            - chainSlug
            - direction
            - inputToken
            - inputAmount
            - outputAmount
            - inputTokenSymbol
            - outputTokenSymbol
            - protocol
            - isGraduated
            - timestamp
      required:
        - type
        - success
        - data
      title: Quote Token Response
    SearchTokenInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - searchToken
        success:
          type: boolean
        token:
          $ref: '#/components/schemas/TokenAbout'
        error:
          type: string
      required:
        - type
        - success
        - token
    GetUserFeesInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserFees
        success:
          type: boolean
        data:
          type: object
          properties:
            balances:
              type: array
              items:
                $ref: '#/components/schemas/UserFeeBalanceViewItem'
            summary:
              $ref: '#/components/schemas/UserFeesSummary'
          required:
            - balances
            - summary
      required:
        - type
        - success
        - data
    GetUserFeeHistoryInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserFeeHistory
        success:
          type: boolean
        data:
          type: object
          properties:
            distributions:
              type: array
              items:
                $ref: '#/components/schemas/UserFeeHistoryItem'
            total_count:
              type: integer
              minimum: 0
            pagination:
              $ref: '#/components/schemas/UserFeeHistoryPagination'
          required:
            - distributions
            - total_count
            - pagination
      required:
        - type
        - success
        - data
    GetLeaderboardInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getLeaderboard
        success:
          type: boolean
        data:
          type: object
          properties:
            leaderboard:
              type: array
              items:
                type: object
                properties:
                  rank:
                    type: number
                  recipient_address:
                    type: string
                  user_id:
                    type: string
                    nullable: true
                    format: uuid
                  username:
                    type: string
                    nullable: true
                  profile_picture:
                    type: string
                    nullable: true
                  total_earned_all_tokens:
                    type: number
                  unique_chains_count:
                    type: number
                  chain_balances:
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          type: string
                        balance:
                          type: number
                      required:
                        - chain
                        - balance
                required:
                  - rank
                  - recipient_address
                  - user_id
                  - username
                  - profile_picture
                  - total_earned_all_tokens
                  - unique_chains_count
                  - chain_balances
            pagination:
              type: object
              properties:
                limit:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
                offset:
                  type: integer
                  minimum: 0
                total:
                  type: integer
                  minimum: 0
                has_more:
                  type: boolean
              required:
                - limit
                - offset
                - total
                - has_more
          required:
            - leaderboard
            - pagination
      required:
        - type
        - success
        - data
    GetUserPortfolioInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getUserPortfolio
        success:
          type: boolean
        data:
          type: object
          properties:
            tokens:
              type: array
              items:
                type: object
                properties:
                  tokenId:
                    type: string
                  name:
                    type: string
                  symbol:
                    type: string
                  slug:
                    type: string
                  logo:
                    type: string
                  tokenLayerId:
                    type: string
                  totalBalanceUsd:
                    type: number
                  chainBalances:
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          type: string
                        chainSlug:
                          type: string
                        balance:
                          type: string
                        balanceFormatted:
                          type: string
                        walletAddress:
                          type: string
                        tokenAddress:
                          type: string
                        decimals:
                          type: number
                        eid:
                          type: number
                        createdAt:
                          type: string
                        priceUsd:
                          type: number
                        valueUsd:
                          type: number
                      required:
                        - chain
                        - chainSlug
                        - balance
                        - balanceFormatted
                        - walletAddress
                        - tokenAddress
                        - decimals
                  availableChains:
                    type: array
                    items:
                      type: string
                  firstAcquired:
                    type: string
                required:
                  - tokenId
                  - name
                  - symbol
                  - slug
                  - totalBalanceUsd
                  - chainBalances
                  - availableChains
            totalValueUsd:
              type: number
            totalTokensCount:
              type: number
          required:
            - tokens
            - totalValueUsd
            - totalTokensCount
      required:
        - type
        - success
        - data
    GetTokenTradesInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenTrades
        success:
          type: boolean
        activities:
          type: array
          items:
            $ref: '#/components/schemas/TokenTradeInfoItem'
      required:
        - type
        - success
        - activities
    GetTokenTransfersInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenTransfers
        success:
          type: boolean
        activities:
          type: array
          items:
            $ref: '#/components/schemas/TokenTransferInfoItem'
      required:
        - type
        - success
        - activities
    GetTokenActivityInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenActivity
        success:
          type: boolean
        activities:
          type: array
          items:
            $ref: '#/components/schemas/TokenActivityInfoItem'
      required:
        - type
        - success
        - activities
    GetTokenCandlesInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenCandles
        success:
          type: boolean
        candles:
          type: array
          items:
            $ref: '#/components/schemas/TokenCandle'
      required:
        - type
        - success
        - candles
    GetTokenStatsInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenStats
        success:
          type: boolean
        stats:
          type: array
          items:
            $ref: '#/components/schemas/TokenStatsCurrent'
      required:
        - type
        - success
        - stats
    GetTokenAboutInfoResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - getTokenAbout
        success:
          type: boolean
        token:
          $ref: '#/components/schemas/TokenAbout'
      required:
        - type
        - success
        - token
    ChainSlug:
      type: string
      enum:
        - solana
        - solana-devnet
        - arbitrum
        - base
        - base-sepolia
        - avalanche
        - op-bnb
        - bnb
        - bnb-testnet
        - ethereum
        - monad
        - unichain
        - unichain-testnet
        - abstract
        - polygon
        - zksync
        - zksync-testnet
      description: >-
        Blockchain identifier. Supported chains: solana, solana-devnet,
        arbitrum, base, base-sepolia, avalanche, op-bnb, bnb, bnb-testnet,
        ethereum, monad, unichain, unichain-testnet, abstract, polygon, zksync,
        zksync-testnet
      example: base-sepolia
    TokenLaunchStage:
      type: string
      nullable: true
      enum:
        - new
        - graduating
        - graduated
      description: Token launch stage derived from indexer launch and graduation events
      example: graduating
    CandleInterval:
      type: string
      enum:
        - 1m
        - 5m
        - 15m
        - 1h
        - 4h
        - 1d
    TokenV2:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        symbol:
          type: string
        slug:
          type: string
        logo:
          type: string
          nullable: true
          format: uri
        banner_url:
          type: string
          nullable: true
          format: uri
        video_url:
          type: string
          nullable: true
          format: uri
        description:
          type: string
          nullable: true
        token_layer_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        holders_count:
          type: integer
          nullable: true
          minimum: 0
        market_cap:
          type: number
          nullable: true
        price:
          type: number
          nullable: true
        volume_1m:
          type: number
          nullable: true
        volume_5m:
          type: number
          nullable: true
        volume_1h:
          type: number
          nullable: true
        volume_24h:
          type: number
          nullable: true
        price_change_24h:
          type: number
          nullable: true
        price_change_24h_percent:
          type: number
          nullable: true
        launchpad_supply:
          type: number
          nullable: true
        launchpad_tokens_left:
          type: number
          nullable: true
        launchpad_progress_pct:
          type: number
          nullable: true
        trx:
          type: integer
          nullable: true
          minimum: 0
        token_addresses:
          type: array
          items:
            $ref: '#/components/schemas/TokenAddress'
        stage:
          $ref: '#/components/schemas/TokenLaunchStage'
        token_uri:
          type: string
          nullable: true
        hashtags:
          type: array
          items:
            type: string
        indexer_metadata:
          $ref: '#/components/schemas/TokenV2IndexerMetadata'
      required:
        - id
        - name
        - symbol
        - slug
        - logo
        - banner_url
        - video_url
        - description
        - token_layer_id
        - created_at
        - holders_count
        - market_cap
        - price
        - volume_1m
        - volume_5m
        - volume_1h
        - volume_24h
        - price_change_24h
        - price_change_24h_percent
        - launchpad_supply
        - launchpad_tokens_left
        - launchpad_progress_pct
        - trx
        - token_addresses
        - stage
        - token_uri
        - hashtags
        - indexer_metadata
      description: Token with volume and trading metrics
    Pagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 0
          exclusiveMinimum: true
        offset:
          type: integer
          minimum: 0
        total_returned:
          type: integer
          minimum: 0
        has_more:
          type: boolean
      required:
        - limit
        - offset
        - total_returned
        - has_more
      description: Pagination information
    TokenAbout:
      type: object
      nullable: true
      properties:
        id:
          type: string
          format: uuid
        token_id:
          type: string
          format: uuid
        external_id:
          type: number
          nullable: true
        external_provider_id:
          type: string
          nullable: true
        name:
          type: string
        symbol:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        banner_url:
          type: string
          nullable: true
        video_url:
          type: string
          nullable: true
        graduated:
          type: boolean
          nullable: true
        graduated_at:
          type: string
          nullable: true
        token_layer_id:
          type: string
          nullable: true
        origin_endpoint_id:
          type: integer
          nullable: true
        origin_chain:
          type: string
          nullable: true
        builder_code:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        primary_evm_address:
          type: string
          nullable: true
        primary_solana_address:
          type: string
          nullable: true
        token_addresses:
          type: array
          items:
            $ref: '#/components/schemas/TokenAboutAddress'
        registered_chains:
          type: array
          items:
            $ref: '#/components/schemas/TokenAboutRegisteredChain'
        dex_pools:
          type: array
          items:
            $ref: '#/components/schemas/TokenAboutDexPool'
        token_address_count:
          type: integer
        registered_chain_count:
          type: integer
        dex_pool_count:
          type: integer
      required:
        - id
        - token_id
        - external_id
        - external_provider_id
        - name
        - symbol
        - slug
        - description
        - logo
        - banner_url
        - video_url
        - graduated
        - graduated_at
        - token_layer_id
        - origin_endpoint_id
        - origin_chain
        - builder_code
        - created_at
        - updated_at
        - primary_evm_address
        - primary_solana_address
        - token_addresses
        - registered_chains
        - dex_pools
        - token_address_count
        - registered_chain_count
        - dex_pool_count
    UserFeeBalanceViewItem:
      type: object
      properties:
        account:
          type: string
        token_key:
          type: string
        token_layer_id:
          type: string
          nullable: true
        token_name:
          type: string
          nullable: true
        token_symbol:
          type: string
          nullable: true
        balance:
          type: string
          nullable: true
        total_received:
          type: string
          nullable: true
        per_chain_balances:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/UserFeeBalancePerChain'
          default: {}
        last_updated_at:
          type: string
          nullable: true
      required:
        - account
        - token_key
        - token_layer_id
        - token_name
        - token_symbol
        - balance
        - total_received
        - last_updated_at
    UserFeesSummary:
      type: object
      properties:
        total_traders_referred:
          type: integer
          minimum: 0
        total_rewards_earned_usd:
          type: string
        total_claimable_usd:
          type: string
      required:
        - total_traders_referred
        - total_rewards_earned_usd
        - total_claimable_usd
    UserFeeHistoryItem:
      type: object
      properties:
        chain:
          type: string
        evt_block_number:
          anyOf:
            - type: string
            - type: number
        evt_block_time:
          type: string
          format: date-time
        evt_tx_hash:
          type: string
        evt_index:
          anyOf:
            - type: string
            - type: number
        account:
          type: string
        currency:
          type: string
        token_layer_id:
          type: string
          nullable: true
        token_address:
          type: string
        token_name:
          type: string
          nullable: true
        token_symbol:
          type: string
          nullable: true
        token_decimals:
          type: number
          nullable: true
        amount:
          type: string
          nullable: true
        amount_raw:
          type: string
          nullable: true
        distribution_type:
          type: integer
        distribution_name:
          type: string
        tracking_id:
          type: string
          nullable: true
        activity_id:
          type: integer
        activity_name:
          type: string
      required:
        - chain
        - evt_block_number
        - evt_block_time
        - evt_tx_hash
        - evt_index
        - account
        - currency
        - token_layer_id
        - token_address
        - token_name
        - token_symbol
        - token_decimals
        - amount
        - amount_raw
        - distribution_type
        - distribution_name
        - tracking_id
        - activity_id
        - activity_name
    UserFeeHistoryPagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 0
          exclusiveMinimum: true
        offset:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
        has_more:
          type: boolean
      required:
        - limit
        - offset
        - total
        - has_more
    TokenTradeInfoItem:
      type: object
      properties:
        chain:
          type: string
        evt_block_number:
          anyOf:
            - type: string
            - type: number
        evt_block_time:
          type: string
          format: date-time
        evt_tx_hash:
          type: string
        evt_index:
          anyOf:
            - type: string
            - type: number
        venue:
          type: string
        trade_type:
          type: string
        wallet:
          type: string
        token_address:
          type: string
        token_layer_id:
          type: string
          nullable: true
        pool:
          type: string
          nullable: true
        token_amount:
          type: string
        token_amount_raw:
          type: string
        usd_amount:
          type: string
          nullable: true
        usd_amount_raw:
          type: string
          nullable: true
        price_usd:
          type: string
          nullable: true
        price_usd_raw:
          type: string
          nullable: true
        market_cap_usd:
          type: string
          nullable: true
        market_cap_usd_raw:
          type: string
          nullable: true
        token_decimals:
          type: string
          nullable: true
        quote_decimals:
          type: string
          nullable: true
        token_decimals_source:
          type: string
          nullable: true
        quote_decimals_source:
          type: string
          nullable: true
      required:
        - chain
        - evt_block_number
        - evt_block_time
        - evt_tx_hash
        - evt_index
        - venue
        - trade_type
        - wallet
        - token_address
        - token_layer_id
        - pool
        - token_amount
        - token_amount_raw
        - usd_amount
        - usd_amount_raw
        - price_usd
        - price_usd_raw
        - market_cap_usd
        - market_cap_usd_raw
        - token_decimals
        - quote_decimals
        - token_decimals_source
        - quote_decimals_source
    TokenTransferInfoItem:
      type: object
      properties:
        chain:
          type: string
        transfer_type:
          type: string
        evt_block_number:
          anyOf:
            - type: string
            - type: number
        evt_block_time:
          type: string
          format: date-time
        evt_tx_hash:
          type: string
        evt_index:
          anyOf:
            - type: string
            - type: number
        token_layer_id:
          type: string
          nullable: true
        token_address:
          type: string
        from_address:
          type: string
          nullable: true
        to_address:
          type: string
          nullable: true
        amount:
          type: string
        amount_raw:
          type: string
        amount_received_ld:
          type: string
          nullable: true
        amount_received_ld_raw:
          type: string
          nullable: true
        guid:
          type: string
          nullable: true
        src_eid:
          type: string
          nullable: true
        dst_eid:
          type: string
          nullable: true
      required:
        - chain
        - transfer_type
        - evt_block_number
        - evt_block_time
        - evt_tx_hash
        - evt_index
        - token_layer_id
        - token_address
        - from_address
        - to_address
        - amount
        - amount_raw
        - amount_received_ld
        - amount_received_ld_raw
        - guid
        - src_eid
        - dst_eid
    TokenActivityInfoItem:
      type: object
      properties:
        pk:
          type: string
        chain:
          type: string
        activity_type:
          type: string
          enum:
            - trade
            - transfer
            - lp
            - lifecycle
        activity_subtype:
          type: string
          enum:
            - buy
            - sell
            - local
            - cross_chain_sent
            - cross_chain_received
            - deposit
            - withdrawal
            - graduation
        evt_block_number:
          anyOf:
            - type: string
            - type: number
        evt_block_time:
          type: string
          format: date-time
        tx_hash:
          type: string
        evt_index:
          anyOf:
            - type: string
            - type: number
        token_layer_id:
          type: string
          nullable: true
        token_address:
          type: string
        wallet:
          type: string
          nullable: true
        trader:
          type: string
          nullable: true
        receiver:
          type: string
          nullable: true
        from_address:
          type: string
          nullable: true
        to_address:
          type: string
          nullable: true
        token_amount:
          type: string
          nullable: true
        token_amount_raw:
          type: string
          nullable: true
        usd_amount:
          type: string
          nullable: true
        usd_amount_raw:
          type: string
          nullable: true
        price_usd:
          type: string
          nullable: true
        price_usd_raw:
          type: string
          nullable: true
        market_cap_usd:
          type: string
          nullable: true
        market_cap_usd_raw:
          type: string
          nullable: true
        pool:
          type: string
          nullable: true
        liquidity_amount:
          type: string
          nullable: true
        liquidity_amount_raw:
          type: string
          nullable: true
        amount0:
          type: string
          nullable: true
        amount0_raw:
          type: string
          nullable: true
        amount1:
          type: string
          nullable: true
        amount1_raw:
          type: string
          nullable: true
        guid:
          type: string
          nullable: true
        src_eid:
          type: string
          nullable: true
        dst_eid:
          type: string
          nullable: true
        is_external:
          type: boolean
          nullable: true
        final_supply:
          type: string
          nullable: true
        final_supply_raw:
          type: string
          nullable: true
        final_reserves:
          type: string
          nullable: true
        final_reserves_raw:
          type: string
          nullable: true
        token_decimals:
          type: string
          nullable: true
        price_usd_at_event:
          type: string
          nullable: true
        price_usd_at_event_raw:
          type: string
          nullable: true
        usd_value:
          type: string
          nullable: true
        usd_value_raw:
          type: string
          nullable: true
      required:
        - pk
        - chain
        - activity_type
        - activity_subtype
        - evt_block_number
        - evt_block_time
        - tx_hash
        - evt_index
        - token_layer_id
        - token_address
        - wallet
        - trader
        - receiver
        - from_address
        - to_address
        - token_amount
        - token_amount_raw
        - usd_amount
        - usd_amount_raw
        - price_usd
        - price_usd_raw
        - market_cap_usd
        - market_cap_usd_raw
        - pool
        - liquidity_amount
        - liquidity_amount_raw
        - amount0
        - amount0_raw
        - amount1
        - amount1_raw
        - guid
        - src_eid
        - dst_eid
        - is_external
        - final_supply
        - final_supply_raw
        - final_reserves
        - final_reserves_raw
        - token_decimals
        - price_usd_at_event
        - price_usd_at_event_raw
        - usd_value
        - usd_value_raw
    TokenCandle:
      type: object
      properties:
        chain:
          type: string
        token_layer_id:
          type: string
        token_address:
          type: string
        venue:
          type: string
        candle_interval:
          anyOf:
            - $ref: '#/components/schemas/CandleInterval'
            - type: string
        bucket_start:
          type: string
          format: date-time
        bucket_end:
          type: string
          format: date-time
        open_price_usd:
          type: string
        open_price_usd_raw:
          type: string
        high_price_usd:
          type: string
        high_price_usd_raw:
          type: string
        low_price_usd:
          type: string
        low_price_usd_raw:
          type: string
        close_price_usd:
          type: string
        close_price_usd_raw:
          type: string
        volume_token:
          type: string
        volume_token_raw:
          type: string
        volume_usd:
          type: string
        volume_usd_raw:
          type: string
        trade_count:
          type: string
        trade_count_raw:
          type: string
      required:
        - chain
        - token_layer_id
        - token_address
        - venue
        - candle_interval
        - bucket_start
        - bucket_end
        - open_price_usd
        - open_price_usd_raw
        - high_price_usd
        - high_price_usd_raw
        - low_price_usd
        - low_price_usd_raw
        - close_price_usd
        - close_price_usd_raw
        - volume_token
        - volume_token_raw
        - volume_usd
        - volume_usd_raw
        - trade_count
        - trade_count_raw
    TokenStatsCurrent:
      type: object
      properties:
        chain:
          type: string
        token_layer_id:
          type: string
        token_address:
          type: string
        price_usd:
          type: string
          nullable: true
        market_cap_usd:
          type: string
          nullable: true
        market_cap_change_5m_pct:
          type: string
          nullable: true
        market_cap_change_5m_abs:
          type: string
          nullable: true
        market_cap_change_1h_pct:
          type: string
          nullable: true
        market_cap_change_6h_pct:
          type: string
          nullable: true
        market_cap_change_24h_pct:
          type: string
          nullable: true
        market_cap_change_1h_abs:
          type: string
          nullable: true
        market_cap_change_6h_abs:
          type: string
          nullable: true
        market_cap_change_24h_abs:
          type: string
          nullable: true
        price_change_5m_pct:
          type: string
          nullable: true
        price_change_1h_pct:
          type: string
          nullable: true
        price_change_6h_pct:
          type: string
          nullable: true
        price_change_24h_pct:
          type: string
          nullable: true
        price_change_5m_abs:
          type: string
          nullable: true
        price_change_1h_abs:
          type: string
          nullable: true
        price_change_6h_abs:
          type: string
          nullable: true
        price_change_24h_abs:
          type: string
          nullable: true
        total_volume_token:
          type: string
          nullable: true
        total_volume_token_raw:
          type: string
          nullable: true
        total_volume_usd:
          type: string
          nullable: true
        total_volume_usd_raw:
          type: string
          nullable: true
        volume_usd_5m:
          type: string
          nullable: true
        volume_usd_1h:
          type: string
          nullable: true
        volume_usd_6h:
          type: string
          nullable: true
        volume_usd_24h:
          type: string
          nullable: true
        volume_change_5m_abs:
          type: string
          nullable: true
        volume_change_1h_abs:
          type: string
          nullable: true
        volume_change_6h_abs:
          type: string
          nullable: true
        volume_change_24h_abs:
          type: string
          nullable: true
        volume_change_5m_pct:
          type: string
          nullable: true
        volume_change_1h_pct:
          type: string
          nullable: true
        volume_change_6h_pct:
          type: string
          nullable: true
        volume_change_24h_pct:
          type: string
          nullable: true
        holder_count:
          type: string
          nullable: true
        holder_count_change_5m_abs:
          type: string
          nullable: true
        holder_count_change_1h_abs:
          type: string
          nullable: true
        holder_count_change_6h_abs:
          type: string
          nullable: true
        holder_count_change_24h_abs:
          type: string
          nullable: true
        holder_count_change_5m_pct:
          type: string
          nullable: true
        holder_count_change_1h_pct:
          type: string
          nullable: true
        holder_count_change_6h_pct:
          type: string
          nullable: true
        holder_count_change_24h_pct:
          type: string
          nullable: true
        last_trade_at:
          type: string
          nullable: true
        last_trade_venue:
          type: string
          nullable: true
        launchpad_price_usd:
          type: string
          nullable: true
        launchpad_supply:
          type: string
          nullable: true
        launchpad_supply_raw:
          type: string
          nullable: true
        launchpad_tokens_left:
          type: string
          nullable: true
        launchpad_tokens_left_raw:
          type: string
          nullable: true
        launchpad_liquidity_usd:
          type: string
          nullable: true
        launchpad_liquidity_usd_raw:
          type: string
          nullable: true
        launchpad_progress_pct:
          type: string
          nullable: true
        launchpad_progress_change_5m_abs:
          type: string
          nullable: true
        launchpad_progress_change_1h_abs:
          type: string
          nullable: true
        launchpad_progress_change_6h_abs:
          type: string
          nullable: true
        launchpad_progress_change_24h_abs:
          type: string
          nullable: true
        launchpad_progress_change_5m_pct:
          type: string
          nullable: true
        launchpad_progress_change_1h_pct:
          type: string
          nullable: true
        launchpad_progress_change_6h_pct:
          type: string
          nullable: true
        launchpad_progress_change_24h_pct:
          type: string
          nullable: true
        evt_block_number:
          anyOf:
            - type: string
            - type: number
            - nullable: true
        updated_at:
          type: string
          nullable: true
      required:
        - chain
        - token_layer_id
        - token_address
        - price_usd
        - market_cap_usd
        - market_cap_change_5m_pct
        - market_cap_change_5m_abs
        - market_cap_change_1h_pct
        - market_cap_change_6h_pct
        - market_cap_change_24h_pct
        - market_cap_change_1h_abs
        - market_cap_change_6h_abs
        - market_cap_change_24h_abs
        - price_change_5m_pct
        - price_change_1h_pct
        - price_change_6h_pct
        - price_change_24h_pct
        - price_change_5m_abs
        - price_change_1h_abs
        - price_change_6h_abs
        - price_change_24h_abs
        - total_volume_token
        - total_volume_token_raw
        - total_volume_usd
        - total_volume_usd_raw
        - volume_usd_5m
        - volume_usd_1h
        - volume_usd_6h
        - volume_usd_24h
        - volume_change_5m_abs
        - volume_change_1h_abs
        - volume_change_6h_abs
        - volume_change_24h_abs
        - volume_change_5m_pct
        - volume_change_1h_pct
        - volume_change_6h_pct
        - volume_change_24h_pct
        - holder_count
        - holder_count_change_5m_abs
        - holder_count_change_1h_abs
        - holder_count_change_6h_abs
        - holder_count_change_24h_abs
        - holder_count_change_5m_pct
        - holder_count_change_1h_pct
        - holder_count_change_6h_pct
        - holder_count_change_24h_pct
        - last_trade_at
        - last_trade_venue
        - launchpad_price_usd
        - launchpad_supply
        - launchpad_supply_raw
        - launchpad_tokens_left
        - launchpad_tokens_left_raw
        - launchpad_liquidity_usd
        - launchpad_liquidity_usd_raw
        - launchpad_progress_pct
        - launchpad_progress_change_5m_abs
        - launchpad_progress_change_1h_abs
        - launchpad_progress_change_6h_abs
        - launchpad_progress_change_24h_abs
        - launchpad_progress_change_5m_pct
        - launchpad_progress_change_1h_pct
        - launchpad_progress_change_6h_pct
        - launchpad_progress_change_24h_pct
        - evt_block_number
        - updated_at
    TokenAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
        token_id:
          type: string
          format: uuid
        address:
          type: string
        address_display:
          type: string
          nullable: true
        address_type:
          type: string
          enum:
            - evm
            - sol
        chain:
          type: string
        platform_name:
          type: string
        is_registered:
          type: boolean
        dex_name:
          type: string
          nullable: true
        dex_address:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
      required:
        - id
        - token_id
        - address
        - address_display
        - address_type
        - chain
        - platform_name
        - is_registered
        - dex_name
        - dex_address
        - created_at
      description: Token address on a specific blockchain
    TokenV2IndexerMetadata:
      type: object
      nullable: true
      properties:
        token_uri:
          type: string
        resolved_metadata_url:
          type: string
          nullable: true
        image_url:
          type: string
          nullable: true
        image_storage_path:
          type: string
          nullable: true
        image_storage_url:
          type: string
          nullable: true
        banner_url:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        symbol:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        created_on:
          type: string
          nullable: true
        addresses:
          nullable: true
        token_layer_id:
          type: string
          nullable: true
        hashtags:
          type: array
          items:
            type: string
        token:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        twitter_url:
          type: string
          nullable: true
        discord_url:
          type: string
          nullable: true
        telegram_url:
          type: string
          nullable: true
        farcaster_url:
          type: string
          nullable: true
        github_url:
          type: string
          nullable: true
        socials:
          nullable: true
        attributes:
          nullable: true
        raw_json:
          nullable: true
        fetched_at:
          type: string
          format: date-time
        immutable:
          type: boolean
      required:
        - token_uri
        - resolved_metadata_url
        - image_url
        - image_storage_path
        - image_storage_url
        - banner_url
        - name
        - symbol
        - description
        - created_on
        - token_layer_id
        - hashtags
        - token
        - website
        - twitter_url
        - discord_url
        - telegram_url
        - farcaster_url
        - github_url
        - fetched_at
        - immutable
      description: Parsed token metadata sourced from indexer.token_metadata
    TokenAboutAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
        token_id:
          type: string
          format: uuid
        chain:
          type: string
        platform_name:
          type: string
        address:
          type: string
        address_display:
          type: string
          nullable: true
        address_type:
          type: string
          enum:
            - evm
            - sol
        decimals:
          anyOf:
            - type: string
            - type: number
            - nullable: true
        confirmed:
          type: boolean
          nullable: true
        is_internal:
          type: boolean
        is_registered:
          type: boolean
        stored_is_registered:
          type: boolean
        eid:
          type: integer
          nullable: true
        dex_name:
          type: string
          nullable: true
        dex_address:
          type: string
          nullable: true
        metadata:
          nullable: true
        metadata_updated_at:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
      required:
        - id
        - token_id
        - chain
        - platform_name
        - address
        - address_display
        - address_type
        - is_registered
        - created_at
    TokenAboutRegisteredChain:
      type: object
      properties:
        chain:
          type: string
        platform_name:
          type: string
        address:
          type: string
        address_display:
          type: string
          nullable: true
        address_type:
          type: string
          enum:
            - evm
            - sol
        eid:
          type: integer
          nullable: true
        is_registered:
          type: boolean
        is_origin_chain:
          type: boolean
        sources:
          type: array
          items:
            type: string
        source_events:
          type: array
          items:
            type: string
      required:
        - chain
        - platform_name
        - address
        - address_display
        - address_type
        - is_registered
        - is_origin_chain
        - sources
        - source_events
    TokenAboutDexPool:
      type: object
      properties:
        chain:
          type: string
        dex:
          type: string
        contract_address:
          type: string
        pool_address:
          type: string
        token_layer_id:
          type: string
          nullable: true
        token_address:
          type: string
        token_a_address:
          type: string
        token_b_address:
          type: string
        token_a_token_layer_id:
          type: string
          nullable: true
        token_b_token_layer_id:
          type: string
          nullable: true
        fee:
          type: string
          nullable: true
        initial_price:
          type: string
          nullable: true
        tx_hash:
          type: string
        evt_block_number:
          anyOf:
            - type: string
            - type: number
        evt_block_time:
          type: string
          nullable: true
          format: date-time
        evt_index:
          anyOf:
            - type: string
            - type: number
      required:
        - chain
        - dex
        - contract_address
        - pool_address
        - token_layer_id
        - token_address
        - token_a_address
        - token_b_address
        - token_a_token_layer_id
        - token_b_token_layer_id
        - fee
        - initial_price
        - tx_hash
        - evt_block_number
        - evt_block_time
        - evt_index
    UserFeeBalancePerChain:
      type: object
      properties:
        currency:
          type: string
        token_decimals:
          type: number
          nullable: true
        balance:
          type: string
          nullable: true
        balance_raw:
          type: string
          nullable: true
        total_received:
          type: string
          nullable: true
        total_received_raw:
          type: string
          nullable: true
        last_updated_at:
          type: string
          nullable: true
      required:
        - currency
        - token_decimals
        - balance
        - balance_raw
        - total_received
        - total_received_raw
        - last_updated_at
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token or API key

````